const float thresholds[] = { 0.050, 0.227, 0.318, 0.408, 0.503, 0.606, 0.696, 0.795, 0.881, 0.976, 1.079 };

void setup() {
  Serial.begin(9600);
  pinMode(A0,INPUT);
  analogReference(DEFAULT);
}

void loop() {
  float sensorVoltage = analogRead(A0)*5.0/1024;
  int uvIndex;
  for (uvIndex=0; uvIndex<12; ++uvIndex) {
    if (sensorVoltage <= thresholds[uvIndex]) break;
  }
  Serial.print(uvIndex);
  Serial.print(" ");
  Serial.println(sensorVoltage);
}

